//
//  NSString+finder.m
//  finder
//
//  Created by Peter Hosey on 2005-02-22.
//  Copyright 2005 Peter Hosey. All rights reserved.
//

#import "NSString+finder.h"


@implementation NSString(finder)

+ (NSArray *)stringsWithUTF8Strings:(const char **)inputs count:(size_t)count {
	NSMutableArray *result = [NSMutableArray array];
	while(count--)
		[result addObject:[NSString stringWithUTF8String:*(inputs++)]];
	return [[result copy] autorelease];
}

- (id)absolutePath {
	if([self hasPrefix:@"/"])
		return [[self copy] autorelease];
	else {
		return [[[[NSFileManager defaultManager] currentDirectoryPath] stringByAppendingPathComponent:self] stringByStandardizingPath];
	}
}

@end
